%define _sbindir /sbin

%define PREVER b42
%define VERSION 0.4%{PREVER}

Summary: Programs for backing up and restoring ext2/ext3 filesystems
Name: dump
Epoch: 1
Version: 0.4
Release: 0.6.%{PREVER}%{?dist}
License: BSD
Group: Applications/Archiving
URL: http://dump.sourceforge.net/
Source: http://downloads.sourceforge.net/dump/dump-%{VERSION}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: e2fsprogs-devel >= 1.18, readline-devel >= 4.2
BuildRequires: zlib-devel, bzip2-devel, automake
BuildRequires: device-mapper-devel, libselinux-devel
# This Requires is now mandatory because we need to ensure the "disk"
# group is created before installation (#60461)
Requires: setup
Requires: rmt
Obsoletes: dump-static
Provides: dump-static

Patch0: dump-rh507948.patch
Patch1: dump-rh599680.patch
Patch2: dump-rh702593.patch
Patch3: dump-rh658890.patch
Patch4: dump-rh691434.patch

%description
The dump package contains both dump and restore. Dump examines files
in a filesystem, determines which ones need to be backed up, and
copies those files to a specified disk, tape, or other storage medium.
The restore command performs the inverse function of dump; it can
restore a full backup of a filesystem. Subsequent incremental backups
can then be layered on top of the full backup. Single files and
directory subtrees may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

%package -n rmt
Summary: Provides certain programs with access to remote tape devices
Group: Applications/Archiving

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup), and tar (an archiving program).

%prep
%setup -q -n dump-%{VERSION}

%patch0 -p1 -b .rh507948
%patch1 -p1 -b .rh599680
%patch2 -p1 -b .rh702593
%patch3 -p1 -b .rh658890
%patch4 -p0 -b .rh691434

for i in THANKS MAINTAINERS COPYRIGHT CHANGES; do
    iconv -f iso-8859-1 -t utf-8  $i -o $i.new
    touch -r $i $i.new
    mv $i.new $i
done

%build
autoreconf -fiv

# XXX --enable-kerberos needs krcmd
%configure --disable-static \
    --enable-transselinux \
    --enable-rmt \
    --enable-largefile \
    --enable-qfa \
    --enable-readline \
    --with-binmode=0755 \
    --with-manowner=root \
    --with-mangrp=root \
    --with-manmode=0644

make OPT="$RPM_OPT_FLAGS -Wall -Wpointer-arith -Wstrict-prototypes \
                         -Wmissing-prototypes -Wno-char-subscripts" %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

%makeinstall INSTALL="install -p" \
    SBINDIR=%{buildroot}%{_sbindir} \
    BINDIR=%{buildroot}%{_sbindir} \
    MANDIR=%{buildroot}%{_mandir}/man8 \
    BINOWNER=$(id -un) \
    BINGRP=$(id -gn) \
    MANOWNER=$(id -un) \
    MANGRP=$(id -gn)

pushd %{buildroot}
    ln -sf dump .%{_sbindir}/rdump
    ln -sf restore .%{_sbindir}/rrestore
    chmod ug-s .%{_sbindir}/rmt
    mkdir -p .%{_sysconfdir}
    > .%{_sysconfdir}/dumpdates
    ln -sf ..%{_sbindir}/rmt .%{_sysconfdir}/rmt
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS README REPORTING-BUGS THANKS TODO
%doc dump.lsm
%attr(0664,root,disk) %config(noreplace) %{_sysconfdir}/dumpdates
%{_sbindir}/dump
%{_sbindir}/rdump
%{_sbindir}/restore
%{_sbindir}/rrestore
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

%files -n rmt
%defattr(-,root,root)
%{_sbindir}/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.8*


%changelog

